Package: groovy.util.logging

## [Java] Class Slf4jLoggingStrategy

- groovy.util.logging.Slf4j.Slf4jLoggingStrategy

- - ### Constructor Summary

    Constructors
    Constructor and description
    `protected Slf4j.Slf4jLoggingStrategy (GroovyClassLoader loader)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `FieldNode` | `addLoggerFieldToClass(ClassNode classNode, String logFieldName, String categoryName)`
    `` | `boolean` | `isLoggingMethod(String methodName)`
    `` | `Expression` | `wrapLoggingMethodCall(Expression logVariable, String methodName, Expression originalExpression)`

- - ### Constructor Detail

    - #### protected Slf4j.Slf4jLoggingStrategy(GroovyClassLoader loader)

  - ### Method Detail

    - #### public FieldNode addLoggerFieldToClass(ClassNode classNode, String logFieldName, String categoryName)

    - #### public boolean isLoggingMethod(String methodName)

    - #### public Expression wrapLoggingMethodCall(Expression logVariable, String methodName, Expression originalExpression)